SoTimeCounter(3)

NAME
SoTimeCounter - The SoTimeCounter class is an integer counter engine.

SYNOPSIS

#include <Inventor/engines/SoTimeCounter.h>

Inherits SoEngine.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const
SoTimeCounter ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass ()
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFTime timeIn
SoSFShort min
SoSFShort max
SoSFShort step
SoSFBool on
SoSFFloat frequency
SoMFFloat duty
SoSFShort reset
SoSFTrigger syncIn
SoEngineOutput output
SoEngineOutput syncOut

  Protected Member Functions
virtual ~SoTimeCounter (void)
virtual void inputChanged (SoField *which)
virtual void writeInstance (SoOutput *out)

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTimeCounter class is an integer counter engine. The SoTimeCounter engine is by default connected to the realTime global field, and does stepwise updates on the SoTimeCounter::output field according to the field settings.

Constructor & Destructor Documentation

  SoTimeCounter::SoTimeCounter (void)
Default constructor.

  SoTimeCounter::~SoTimeCounter (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTimeCounter::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTimeCounter::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoTimeCounter::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoTimeCounter::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoTimeCounter::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoTimeCounter::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void * SoTimeCounter::createInstance (void) [static]
Creates a new instance of the class type corresponding to the SoType object.

  void SoTimeCounter::inputChanged (SoField * which) [protected], [virtual]
Called when an input is changed. The default method does nothing, but subclasses may override this method to do The Right Thing when a specific field is changed.

Reimplemented from SoEngine.

  void SoTimeCounter::writeInstance (SoOutput * out) [protected], [virtual]
Writes all the fields contained in this instance to the output stream within out.

This method is solely called from the write methods of fields.

Either from SoField if the write is done because of a field-to-field connection, or from one of the fields which may actually write SoFieldContainer instances, i.e. SoSFNode, SoMFNode, SoSFEngine, SoMFEngine, SoSFPath and SoMFPath.

This method, in addition to the ordinary write() method of SoNode, needs to be present since the fields don't have a write action instance in their writeValue() method, and writeInstance() will create a new SoWriteAction and call continueToApply() on it.

Reimplemented from SoEngine.

Member Data Documentation

  SoSFTime SoTimeCounter::timeIn
Running time. Connected to the realTime field by default.

  SoSFShort SoTimeCounter::min
Minimum counter value. Default value is 0.

  SoSFShort SoTimeCounter::max
Maximum counter value. Default value is 1.

  SoSFShort SoTimeCounter::step
Counter step size. Default value is 1.

  SoSFBool SoTimeCounter::on
Set to FALSE to pause the counter. Default value is TRUE.

  SoSFFloat SoTimeCounter::frequency
Number of complete cycles from the min value to the max value per second. Default value is 1.0.

  SoMFFloat SoTimeCounter::duty
Used to weight step times. Supply one weight value per step. Default array is a single value of 1.0.

  SoSFShort SoTimeCounter::reset
Manually set the counter to some value. If SoTimeCounter::reset is set below the SoTimeCounter::min value or above the SoTimeCounter::max value it will be clamped to the closest boundary value.

  SoSFTrigger SoTimeCounter::syncIn
Restart counter at the minimum value.

  SoEngineOutput SoTimeCounter::output
(SoSFShort) The counter value.

  SoEngineOutput SoTimeCounter::syncOut
(SoSFTrigger) Triggers every cycle start.

Author

Generated automatically by Doxygen for Coin from the source code.